> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/sdk/android/acquire-android-delegates.md).

# \[Under Development] Acquire Delegates for Android

{% hint style="warning" %}
Our SDK is currently under review. Check back later for updates.
{% endhint %}

### Session Delegates&#x20;

#### To set session listener call sdk method :

```java
AcquireApp.setSessionListener(this);
```

1. **`onSessionConnected()`** Invokes on socket connection is established. One can open chat module after this event.
2. **`onSessionDisconnected(Reason: String)`** Invokes on socket connection is closed and chat is no longer available. ‘Reason’ will give the reason for the disconnection of the socket.
3. **`onAgentAvailable()`** Invokes on agent becomes available to chat.
4. **`onCallConnected()`** Invokes on direct Video/Audio call is connected to the agent.
5. **`onCallDIsconnected()`** Invokes on direct Video/Audio call is disconnected.
6. **`onTriggerEvent(eventName: String?)`** Invokes on custom trigger event has been set and clicked.
7. **`onChatClosed()`** Invokes on chat is closed by the agent.
8. **`noAgentAvailable();`** Invokes on all Agents become unavailable.
9. **`onWaitDialogAppear();`**&#x49;nvokes on Audio/Video call is requested by the user (visitor).
10. **`onWaitDialogDisappear();`** Invokes on agent answer the call request.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.acquire.io/sdk/android/acquire-android-delegates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
